This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 566234 - (CVE-2010-0205) CVE-2010-0205 libpng: excessive memory consumption due to highly compressed huge ancillary chunk
CVE-2010-0205 libpng: excessive memory consumption due to highly compressed h...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20100301,repor...
: Security
Depends On: 573763 609917 609918 609919 609921 609922 609926 609928 609929 802165
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 11:33 EST by Vincent Danen
Modified: 2015-06-08 03:41 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 17:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for fixing extremely slow decompression of compressed chunks (11.73 KB, patch)
2010-03-03 13:12 EST, Tom Lane
no flags Details | Diff

  None (edit)
Description Vincent Danen 2010-02-17 11:33:27 EST
It was reported that libpng suffers from an issue where certain highly compressed ancillary chunks (zTxt, iTxt, iCCP) could cause libpng to stall or crash by consuming huge amounts of memory.  This vulnerability is reported to affect all versions of libpng prior to 1.4.1, as well as versions of Firefox from 3.0.  It is also possible that other gecko-based browsers are vulnerable as well, as well as all versions of pngcrush, ImageMagick, and GraphicsMagick.

CERT is tracking this issue as VU#576029.
Comment 16 Vincent Danen 2010-03-03 12:07:30 EST
This issue is public now and assigned the name CVE-2010-0205:

https://www.kb.cert.org/vuls/id/576029
Comment 19 Tom Lane 2010-03-03 13:12:59 EST
Created attachment 397627 [details]
patch for fixing extremely slow decompression of compressed chunks
Comment 20 Fedora Update System 2010-03-03 14:02:27 EST
libpng10-1.0.53-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2988
Comment 21 Fedora Update System 2010-03-03 14:02:29 EST
libpng10-1.0.53-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3375
Comment 22 Fedora Update System 2010-03-03 14:03:49 EST
libpng10-1.0.53-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/F11/FEDORA-2010-3414
Comment 23 Fedora Update System 2010-03-03 14:04:14 EST
libpng10-1.0.53-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3375
Comment 26 Vincent Danen 2010-03-03 23:54:43 EST
The Mozilla applications (firefox, thunderbird, seamonkey, etc.) are using embedded libpng which makes them vulnerable to this issue, despite whether or not the system libpng is updated.

Is there a particular reason why the Mozilla applications are using an embedded version of libpng?  And can we make them use the system libpng at all?

If not, we'll have to try the patch that Tom attached in the firefox and friends builds to make sure that the email/browser clients are patched as there is greater risk using those applications than other applications using libpng.
Comment 27 Fedora Update System 2010-03-14 09:41:55 EDT
libpng10-1.0.53-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2010-03-15 14:58:31 EDT
libpng-1.2.43-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libpng-1.2.43-1.fc12
Comment 33 Fedora Update System 2010-03-15 14:58:36 EDT
libpng-1.2.43-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libpng-1.2.43-1.fc13
Comment 34 Fedora Update System 2010-03-15 14:58:40 EDT
libpng-1.2.43-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libpng-1.2.43-1.fc11
Comment 36 Fedora Update System 2010-03-15 20:49:27 EDT
libpng10-1.0.53-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2010-03-15 20:50:51 EDT
libpng10-1.0.53-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 47 Fedora Update System 2010-03-19 23:41:37 EDT
libpng-1.2.43-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 48 Fedora Update System 2010-03-25 18:40:27 EDT
libpng-1.2.43-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2010-03-25 18:41:02 EDT
libpng-1.2.43-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 errata-xmlrpc 2010-07-14 13:48:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0534 https://rhn.redhat.com/errata/RHSA-2010-0534.html
Comment 53 Vincent Danen 2010-07-14 14:16:24 EDT
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.